Subject: bug#6068: make-frame-visible but not selected

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 03 Jun 2021 11:00:37 +0200

Lennart Borgman <[email-masked]> writes:

> The function make-frame-visible also makes the frame active. That is
> not always what you want.

(I'm going through old bug reports that unfortunately got no response at
the time.)

I tried this in Emacs 28.  I did a

(setq frame (window-frame))

in one frame and then

(make-frame-visible frame)

from a different frame, and Emacs didn't give the first frame focus.  So
I seem to be unable to reproduce this (under Debian/bullseye, under
Gnome Shell).

Are you still seeing this issue in recent Emacs versions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no